package com.loit.build.user;

import java.io.*;
import java.util.ArrayList;
import java.util.List;


public class CreateUser {
    public static final String USER_NAMES_FILE_PATH = "userNames.txt";


    private static List<String> nameList = new ArrayList<>();

    public static void readTxtFile(String filePath) {
        try {
            String encoding = "UTF-8";
            File file = new File(filePath);
            if (file.isFile() && file.exists()) { //判断文件是否存在
                InputStreamReader read = new InputStreamReader(
                        new FileInputStream(file), encoding);//考虑到编码格式
                BufferedReader bufferedReader = new BufferedReader(read);
                String lineTxt = null;
                while ((lineTxt = bufferedReader.readLine()) != null) {
                    nameList.add(lineTxt);
                }
                read.close();
            } else {
                System.out.println("找不到指定的文件");
            }
        } catch (Exception e) {
            System.out.println("读取文件内容出错");
        }

        StringBuffer sbuf = new StringBuffer();

        for (String name : nameList) {
            String nameTemp = PinyinUtil.getPinyin(name).replaceAll(" ", "");
            sbuf.append("12345678 ").append(getEmail(name)).append(" ").append(nameTemp).append(" ").append(name).append(System.getProperty("line.separator"));
        }

        printInfo(sbuf.toString());
    }


    public static String getEmail(String name) {
        StringBuffer sbuf = new StringBuffer();
        String first = name.substring(0, 1);
        String second = name.substring(1, name.length());
        sbuf.append(PinyinUtil.getPinyin(first)).append(PinyinUtil.getPinyinInitials(second));
        sbuf.append("@timeloit.com");
        return sbuf.toString();
    }

    private static void printInfo(String content) {
        System.out.println(content);
    }

    public static void main(String argv[]) {
        String path = CreateUser.class.getClassLoader().getResource(USER_NAMES_FILE_PATH).getPath();
        readTxtFile(path);
    }
}